"""This module contains the test for the urls of the ``common`` apps"""

from django.test.testcases import TestCase


class RobotTxtTestCase(TestCase):
    """Test case for the robot.txt url"""

    def test_robot_txt_route_should_work(self):
        """Test that the ``robots`` route should work"""

        response = self.client.get('/robots.txt')

        self.assertEqual(response.status_code, 200)
        self.assertEqual(
            response.content.decode('utf-8'),
            'User-agent: *\nDisallow: /'
        )
